Loading...
Searching...
No Matches
ClpHelperFunctions.hpp File Reference
`#include "ClpConfig.h"`
`#include <string>`
Include dependency graph for ClpHelperFunctions.hpp:

Go to the source code of this file.

## Macros

#define | ClpTraceDebug(expression)

## Functions

double | maximumAbsElement (const double *region, int size)
| Note (JJF) I have added some operations on arrays even though they may duplicate CoinDenseVector.
void | setElements (double *region, int size, double value)
void | multiplyAdd (const double *region1, int size, double multiplier1, double *region2, double multiplier2)
double | innerProduct (const double *region1, int size, const double *region2)
void | getNorms (const double *region, int size, double &norm1, double &norm2)
double | CoinSqrt (double x)
void | ClpTracePrint (std::string fileName, std::string message, int line)
| Trace.

## Macro Definition Documentation

## ClpTraceDebug

#define ClpTraceDebug | ( |  | expression | ) |

Value:
{ \
if (!(expression)) { \
ClpTracePrint(__FILE__, __STRING(expression), __LINE__); \
} \
}

Definition at line 92 of file ClpHelperFunctions.hpp.

## Function Documentation

## maximumAbsElement()

double maximumAbsElement | ( | const double * | region,
|  | int | size )

Note (JJF) I have added some operations on arrays even though they may duplicate CoinDenseVector.

I think the use of templates was a mistake as I don't think inline generic code can take as much advantage of parallelism or machine architectures or memory hierarchies.

## setElements()

void setElements | ( | double * | region,
|  | int | size,
|  | double | value )

## multiplyAdd()

void multiplyAdd | ( | const double * | region1,
|  | int | size,
|  | double | multiplier1,
|  | double * | region2,
|  | double | multiplier2 )

## innerProduct()

double innerProduct | ( | const double * | region1,
|  | int | size,
|  | const double * | region2 )

## getNorms()

void getNorms | ( | const double * | region,
|  | int | size,
|  | double & | norm1,
|  | double & | norm2 )

## CoinSqrt()

double CoinSqrt | ( | double | x | ) |

inline

Definition at line 80 of file ClpHelperFunctions.hpp.

## ClpTracePrint()

void ClpTracePrint | ( | std::string | fileName,
|  | std::string | message,
|  | int | line )

Trace.